gnutls_record_set_max_recv_size(3)

NAME
gnutls_record_set_max_recv_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_set_max_recv_size(gnutls_session_t session, size_t size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

size_t size
    is the new size

DESCRIPTION
This function sets the maximum amount of plaintext received in a record in this connection.

The limit is also negotiated through a TLS extension called 'record size limit'. Note that while the 'record size limit' extension is preferred, not all TLS implementations use or even understand the extension.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.6.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/